%define base_name	kde-styles-widgets
%define theme_name	mallory
%define name		%base_name-%theme_name
%define kdeid		21650

Name: %name
Version: 1.0
Release: alt3

Group: Graphical desktop/KDE
Summary: Mallory style for KDE
License: GPL
Url: http://kde-look.org/content/show.php?content=%kdeid

Source: %kdeid-%theme_name-%version.tar.bz2
Patch0: mallory-makefile-alt.patch

# Automatically added by buildreq on Thu Sep 01 2005
BuildRequires: gcc-c++ kdebase-devel kdebase-wm kdelibs-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libqt3-settings libstdc++-devel zlib-devel

%description
Mallory is a window decoration for KDE 3.2+ based on the original Alloyon
windec by Simon Ask Ulsnes (see AUTHORS) - although the source code has been
heavily modified.

%prep
%setup -q -n %theme_name-%version
%patch0 -p1

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"

%make -f admin/Makefile.common
%__subst 's|\.la|\.so|g' configure

%configure \
    --disable-debug \
    --disable-rpath \
    --without-arts

%make_build
	    
%install
%makeinstall

%files
%doc README INSTALL TODO AUTHORS
%_libdir/kde3/*.la
%_libdir/kde3/*.so
%_datadir/apps/kdisplay/color-schemes/*.kcsrc
%_datadir/apps/kwin/*.desktop

%changelog
* Mon Mar 20 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt3
makefile fix

* Mon Feb 06 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt2
- BuildRequires fix

* Thu Sep 01 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.0-alt1
- 1.0 build for Sisyphus
